-- <ScriptOptions statementTerminator="@" />      . 
SET CURRENT SQLID=<SCHEMA>@   
DROP TRIGGER U_CAT_UPDATE@

CREATE TRIGGER U_CAT_UPDATE
	AFTER UPDATE ON TCTG_CAT_CATEGORY
	REFERENCING  NEW AS NEW OLD AS OLD
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DECLARE EVENT_ID INTEGER DEFAULT 0;
    DECLARE HIER_NAME VARCHAR(100);
    DECLARE ROLLBACK_DELETE INTEGER;    	      DECLARE COMPANY_CODE VARCHAR(20);    	      	DECLARE LOG_LEVEL CHAR(1);    	      	 DECLARE HIER_TYPE VARCHAR(100);	SET COMPANY_CODE = (SELECT CMP_COMPANY_CODE FROM CMP WHERE CMP_COMPANY_ID = NEW.CAT_COMPANY_ID);
    SET (HIER_NAME, HIER_TYPE) = (SELECT CTR_NAME, 	  		   CASE CTR_TYPE 				WHEN 'CATEGORY_TREE' THEN 'HIERARCHY'				ELSE CTR_TYPE 		   	   END		   FROM CTR WHERE CTR_ID = NEW.CAT_CONTAINER_ID		   			AND CTR_COMPANY_ID = NEW.CAT_COMPANY_ID);  	SET LOG_LEVEL = (SELECT DLC_LOG_LEVEL FROM TDCL_DLC_DATACHANGE_CONFIG 
						WHERE DLC_CONTAINER_NAME = HIER_NAME 
						AND DLC_CONTAINER_TYPE = HIER_TYPE
						AND DLC_COMPANY_CODE = COMPANY_CODE
						AND DLC_ENABLED = 'Y');
						
	IF LOG_LEVEL IS NOT NULL THEN
		IF NEW.CAT_NEXT_VERSION_ID = 999999999 AND OLD.CAT_NEXT_VERSION_ID != 999999999 THEN
	    	 SET EVENT_ID = (SELECT MAX(CEL_EVENT_ID) FROM TDCL_CEL_CATEGORY_EVENT_LOG 
			  					WHERE CEL_NEXT_VERSION_ID = 999999999
			  						AND CEL_ENTRY_ID = NEW.CAT_ID 
			  						AND CEL_EVENT_TYPE = 'U'
			  						AND CEL_PRIMARY_KEY IS NULL);
			  
				 IF EVENT_ID IS NULL  THEN 	  			
					INSERT INTO TDCL_CEL_CATEGORY_EVENT_LOG VALUES
				  	(
				  		NEXTVAL FOR QDCL_CEL_EVENT_ID,				  		COMPANY_CODE,
				  		NEW.CAT_ID,
				  		HIER_NAME,
				  		NEW.CAT_PRIMARY_KEY,
				  		'R',
				  		OLD.CAT_PRIMARY_KEY,
				  		NEW.CAT_VERSION_ID,
				  		NEW.CAT_NEXT_VERSION_ID,
				  		NEW.CAT_LAST_MODIFIED,
						CURRENT_TIMESTAMP
				  	);
				 ELSE
			 	 	UPDATE TDCL_CEL_CATEGORY_EVENT_LOG SET 
				 	CEL_PRIMARY_KEY = NEW.CAT_PRIMARY_KEY, 
				 	CEL_EVENT_TYPE = 'R', 
				 	CEL_VERSION_ID = NEW.CAT_VERSION_ID,
				 	CEL_NEXT_VERSION_ID = NEW.CAT_NEXT_VERSION_ID,
				 	CEL_LAST_MODIFIED_TIME = NEW.CAT_LAST_MODIFIED,
					CEL_EVENT_TIME = CURRENT_TIMESTAMP
					WHERE CEL_EVENT_ID = EVENT_ID;
				END IF;
					ELSEIF NEW.CAT_NEXT_VERSION_ID != 999999999 AND OLD.CAT_NEXT_VERSION_ID = 999999999 THEN
		    SET ROLLBACK_DELETE = (SELECT COUNT(*) FROM CHI WHERE CHI_CHILD_ID = OLD.CAT_ID AND CHI_NEXT_VERSION_ID = 999999999);
			IF ROLLBACK_DELETE > 0 THEN
				INSERT INTO TDCL_CEL_CATEGORY_EVENT_LOG VALUES
				(
			  		NEXTVAL FOR QDCL_CEL_EVENT_ID,			  		COMPANY_CODE,
			  		OLD.CAT_ID,
			  		HIER_NAME,
			  		NULL,
			  		'U',
			  		OLD.CAT_PRIMARY_KEY,
			  		OLD.CAT_VERSION_ID,
			  		OLD.CAT_NEXT_VERSION_ID,
			  		OLD.CAT_LAST_MODIFIED,
					CURRENT_TIMESTAMP
				);
			ELSE
				INSERT INTO TDCL_CEL_CATEGORY_EVENT_LOG VALUES
				(
			  		NEXTVAL FOR QDCL_CEL_EVENT_ID,			  		COMPANY_CODE,
			  		OLD.CAT_ID,
			  		HIER_NAME,
			  		NULL,
			  		'D',
			  		OLD.CAT_PRIMARY_KEY,
			  		OLD.CAT_VERSION_ID,
			  		OLD.CAT_NEXT_VERSION_ID,
			  		OLD.CAT_LAST_MODIFIED,
					CURRENT_TIMESTAMP
				);
			END IF;
		END IF ;
	END IF;
  END@
