DROP TRIGGER "I_CAT_INSERT";


CREATE TRIGGER I_CAT_INSERT
	AFTER INSERT ON "TCTG_CAT_CATEGORY"
	FOR EACH ROW
	DECLARE
    EVENT_TYPE CHAR;
	  CHICOUNT INTEGER;
	  HIER_NAME VARCHAR2(100);
	  LOG_LEVEL INTEGER;
	  COMPANY_CODE VARCHAR2(20);
	  HIER_TYPE VARCHAR2(100);
	  UPDATE_CAT_EVENT_ID INTEGER;

  BEGIN

	  IF :NEW.CAT_NEXT_VERSION_ID = 999999999 THEN
    SELECT CTR_NAME,
      CASE CTR_TYPE
				WHEN 'CATEGORY_TREE' THEN 'HIERARCHY'
				ELSE CTR_TYPE
      END
      INTO HIER_NAME, HIER_TYPE
    FROM CTR WHERE CTR_ID = :NEW.CAT_CONTAINER_ID
             AND CTR_COMPANY_ID = :NEW.CAT_COMPANY_ID;

    SELECT CMP_COMPANY_CODE INTO COMPANY_CODE FROM CMP WHERE CMP_COMPANY_ID = :NEW.CAT_COMPANY_ID;
  	SELECT COUNT(*) INTO LOG_LEVEL FROM TDCL_DLC_DATACHANGE_CONFIG
						WHERE DLC_CONTAINER_NAME = HIER_NAME
						AND DLC_CONTAINER_TYPE = HIER_TYPE
						AND DLC_COMPANY_CODE = COMPANY_CODE
						AND DLC_ENABLED = 'Y';
		IF LOG_LEVEL > 0 THEN
      SELECT COUNT(*) INTO CHICOUNT FROM CHI WHERE CHI_CHILD_ID = :NEW.CAT_ID AND CHI_NEXT_VERSION_ID = 999999999;

      SELECT CTR_NAME INTO HIER_NAME FROM CTR WHERE CTR_ID = :NEW.CAT_CONTAINER_ID;
        IF CHICOUNT = 0 THEN
          INSERT INTO TDCL_CEL_CATEGORY_EVENT_LOG VALUES
          (
		  		QDCL_CEL_EVENT_ID.NEXTVAL,
		  		COMPANY_CODE,
		  		:NEW.CAT_ID,
		  		HIER_NAME,
		  		:NEW.CAT_PRIMARY_KEY,
		  		'I',
		  		NULL,
		  		:NEW.CAT_VERSION_ID,
		  		:NEW.CAT_NEXT_VERSION_ID,
				:NEW.CAT_LAST_MODIFIED,
		  		CURRENT_TIMESTAMP
          );
        ELSE
          SELECT MAX(CEL_EVENT_ID) INTO UPDATE_CAT_EVENT_ID FROM TDCL_CEL_CATEGORY_EVENT_LOG
		  		WHERE CEL_ENTRY_ID = :NEW.CAT_ID AND (CEL_EVENT_TYPE = 'U') AND CEL_NEXT_VERSION_ID = 999999999;
          UPDATE TDCL_CEL_CATEGORY_EVENT_LOG SET CEL_EVENT_TYPE='U',
          CEL_PRIMARY_KEY = :NEW.CAT_PRIMARY_KEY, CEL_EVENT_TIME = CURRENT_TIMESTAMP,
          CEL_VERSION_ID = :NEW.CAT_VERSION_ID , CEL_NEXT_VERSION_ID = :NEW.CAT_NEXT_VERSION_ID,
          CEL_LAST_MODIFIED_TIME = :NEW.CAT_LAST_MODIFIED
          WHERE CEL_EVENT_ID = UPDATE_CAT_EVENT_ID;

        END IF;
      END IF;
	  END IF;
  END;
/