#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#

. ${TOP}/src/db/schema/util/set_db_localized.sh

${ECHO} "DROP TABLE SCA1;" > ${TOP}/logs/temp.sql
. ${DB_DIR}/util/run_db_cmd.sh --file=${TOP}/logs/temp.sql > ${TOP}/logs/drop_temp.out
${RM} ${TOP}/logs/temp.sql ${TOP}/logs/drop_temp.out

if [ "$CCD_DB" = "oracle" ]; then
	${ECHO} "CREATE TABLE SCA1 AS SELECT * FROM SCA WHERE 1=2;" > ${TOP}/logs/fix_wfl.sql
else
	${ECHO} "CREATE TABLE SCA1 LIKE TCTG_SCA_SELECTED_CATEGORY;" > ${TOP}/logs/fix_wfl.sql
fi

${ECHO} "INSERT INTO SCA1 SELECT SCA_CATEGORY_ID, SCA_SELECTION_ID, SCA_COMPANY_ID, SCA_CATALOG_ID, SCA_CAT_TREE_ID FROM SCA GROUP BY SCA_CATEGORY_ID, SCA_SELECTION_ID, SCA_COMPANY_ID, SCA_CATALOG_ID, SCA_CAT_TREE_ID;" >> ${TOP}/logs/fix_wfl.sql
${ECHO} "DELETE FROM SCA;" >> ${TOP}/logs/fix_wfl.sql
${ECHO} "INSERT INTO SCA SELECT * FROM SCA1;" >> ${TOP}/logs/fix_wfl.sql
${ECHO} "DELETE FROM SCA WHERE SCA_CATEGORY_ID IS NULL OR SCA_SELECTION_ID IS NULL OR SCA_COMPANY_ID IS NULL OR SCA_CATALOG_ID IS NULL OR SCA_CAT_TREE_ID IS NULL;" >> ${TOP}/logs/fix_wfl.sql 
. ${DB_DIR}/util/run_db_cmd.sh --file=${TOP}/logs/fix_wfl.sql

${ECHO} "DROP TABLE SCA1;" > ${TOP}/logs/temp.sql
. ${DB_DIR}/util/run_db_cmd.sh --file=${TOP}/logs/temp.sql > ${TOP}/logs/drop_temp.out
${RM} ${TOP}/logs/temp.sql ${TOP}/logs/drop_temp.out
