#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#

. ${TOP}/src/db/schema/util/set_db_localized.sh

${ECHO} "DROP TABLE WFD1;" > ${TOP}/logs/temp.sql
${ECHO} "DROP TABLE STD1;" >> ${TOP}/logs/temp.sql
. ${DB_DIR}/util/run_db_cmd.sh --file=${TOP}/logs/temp.sql > ${TOP}/logs/drop_temp.out
${RM} ${TOP}/logs/temp.sql ${TOP}/logs/drop_temp.out

if [ "$CCD_DB" = "oracle" ]; then
	${ECHO} "CREATE TABLE WFD1 AS SELECT * FROM WFD WHERE 1=2;" > ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO WFD1 SELECT WFD_CMP_ID,WFD_ID,WFD_NAME,MAX(WFD_DESC),MAX(WFD_CONTAINER_TYPE),MAX(WFD_GUI_AVAILABLE),MAX(WFD_OBJECT_GROUP_ID),MAX(WFD_OBJECT_VERSION_ID) FROM WFD GROUP BY WFD_ID, WFD_NAME, WFD_CMP_ID HAVING COUNT(*) > 1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM WFD WHERE WFD_ID IN (SELECT WFD_ID FROM ( SELECT WFD_ID, WFD_NAME, WFD_CMP_ID, COUNT(*)  FROM WFD GROUP BY WFD_ID, WFD_NAME, WFD_CMP_ID HAVING COUNT(*) > 1));" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO WFD SELECT * FROM WFD1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM WFD WHERE WFD_CMP_ID IS NULL OR WFD_ID IS NULL OR WFD_NAME IS NULL;" >> ${TOP}/logs/fix_wfl.sql 

	${ECHO} "CREATE TABLE STD1 AS SELECT * FROM STD WHERE 1=2;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO STD1 SELECT STD_CMP_ID,MAX(STD_WFL_ID),STD_ID,MAX(STD_NAME),MAX(STD_DESC),STD_TYPE,MAX(STD_SCRIPT_PATH),MAX(STD_DEADLINE_DATE),MAX(STD_DEADLINE_DURATION),MAX(STD_ENTRY_NOTIFICATION),MAX(STD_DEADLINE_NOTIFICATION),MAX(STD_ALLOW_ADD_ENTRIES),MAX(STD_RECATEGORIZE),MAX(STD_ALLOW_RESERVE_ENTRIES),MAX(STD_VIEW_ID) FROM STD GROUP BY STD_ID, STD_TYPE, STD_CMP_ID HAVING COUNT(*) > 1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM STD WHERE STD_ID IN (SELECT STD_ID FROM ( SELECT STD_ID, STD_TYPE, STD_CMP_ID, COUNT(*)  FROM STD GROUP BY STD_ID, STD_TYPE, STD_CMP_ID HAVING COUNT(*) > 1));" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO STD SELECT * FROM STD1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM STD WHERE STD_CMP_ID IS NULL OR STD_ID IS NULL OR STD_TYPE IS NULL;" >> ${TOP}/logs/fix_wfl.sql 
else
	${ECHO} "CREATE TABLE WFD1 LIKE TWFL_WFD_WORKFLOW_DEF;" > ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO WFD1 SELECT WFD_CMP_ID,WFD_ID,WFD_NAME,MAX(WFD_DESC),MAX(WFD_CONTAINER_TYPE),MAX(WFD_GUI_AVAILABLE),MAX(WFD_OBJECT_GROUP_ID),MAX(WFD_OBJECT_VERSION_ID) FROM WFD GROUP BY WFD_ID, WFD_NAME, WFD_CMP_ID HAVING COUNT(*) > 1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM WFD WHERE WFD_ID IN (SELECT WFD_ID FROM ( SELECT WFD_ID, WFD_NAME, WFD_CMP_ID, COUNT(*)  FROM WFD GROUP BY WFD_ID, WFD_NAME, WFD_CMP_ID HAVING COUNT(*) > 1)AS T1);" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO WFD SELECT * FROM WFD1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM WFD WHERE WFD_CMP_ID IS NULL OR WFD_ID IS NULL OR WFD_NAME IS NULL;" >> ${TOP}/logs/fix_wfl.sql 

	${ECHO} "CREATE TABLE STD1 LIKE TWFL_STD_STEP_DEF;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO STD1 SELECT STD_CMP_ID,MAX(STD_WFL_ID),STD_ID,MAX(STD_NAME),MAX(STD_DESC),STD_TYPE,MAX(STD_SCRIPT_PATH),MAX(STD_DEADLINE_DATE),MAX(STD_DEADLINE_DURATION),MAX(STD_ENTRY_NOTIFICATION),MAX(STD_DEADLINE_NOTIFICATION),MAX(STD_ALLOW_ADD_ENTRIES),MAX(STD_RECATEGORIZE),MAX(STD_ALLOW_RESERVE_ENTRIES),MAX(STD_VIEW_ID) FROM STD GROUP BY STD_ID, STD_TYPE, STD_CMP_ID HAVING COUNT(*) > 1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM STD WHERE STD_ID IN (SELECT STD_ID FROM ( SELECT STD_ID, STD_TYPE, STD_CMP_ID, COUNT(*)  FROM STD GROUP BY STD_ID, STD_TYPE, STD_CMP_ID HAVING COUNT(*) > 1)AS T1);" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "INSERT INTO STD SELECT * FROM STD1;" >> ${TOP}/logs/fix_wfl.sql
	${ECHO} "DELETE FROM STD WHERE STD_CMP_ID IS NULL OR STD_ID IS NULL OR STD_TYPE IS NULL;" >> ${TOP}/logs/fix_wfl.sql 
fi
. ${DB_DIR}/util/run_db_cmd.sh --file=${TOP}/logs/fix_wfl.sql

${ECHO} "DROP TABLE WFD1;" > ${TOP}/logs/temp.sql
${ECHO} "DROP TABLE STD1;" >> ${TOP}/logs/temp.sql
. ${DB_DIR}/util/run_db_cmd.sh --file=${TOP}/logs/temp.sql > ${TOP}/logs/drop_temp.out
${RM} ${TOP}/logs/temp.sql ${TOP}/logs/drop_temp.out ${TOP}/logs/fix_wfl.sql

