/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.alert.framework;

import java.util.Iterator;
import java.util.Set;


/**
 * ITransactions This defines the methods for accessing Transaction Objects
 * from the hashmap of Transactions class.
 *
 */
public interface ITransactions {
    /**
     * @param transactionID
     * @return transaction
     */
    public ITransaction getTransaction(String transactionID);

    /**
     * @param transactionID
     */
    public void addTransaction(String transactionID);

    /**
     * @param transactionID
     * @param transactionDesc
     * @param startTime
     */
    public void addTransaction(String transactionID, String transactionDesc,
        String startTime);

    /**
     * @param transactionObject
     */
    public void addTransaction(ITransaction transactionObject);

    /**
     * @return iterator
     */
    public Iterator getTransactionsKeyIterator();

    /**
     * @return strings
     */
    public String[] getInCompletedTransactionIDsArray();
    /**
     * @return integer
     */
    public int getTransactionsSize() ;
    /**
     * @return iterator
     */
    public Iterator getTransactionsSortedKeyIterator();
}
