/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.dataobjects.attributes;


/*
 * Represents the Sequence attribute
 * The attribute is rendered as readonly and the values are being generated from the server
 */
public class SequenceAttribute extends StringAttribute {
    public SequenceAttribute(String name, int minimumOccurrence,
        int maximumOccurrence, String displayName) {
        super(name, false, minimumOccurrence, maximumOccurrence, displayName);
    }

    public SequenceAttribute(String name, String value, String displayName) {
        super(name, false, 1, 1, displayName);
        setValue(value);
    }

    public int getType() {
        return AttributeTypes.SEQUENCE;
    }
}
