/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Dec 6, 2004
 */
package com.ibm.ccd.ui.taglib.dataobjects;


/**
 * This class stores the attribute name and its type.
 */
public class Attribute {
    public static final String WPC_TYPE_STRING = "STRING";
    public static final String WPC_TYPE_CURRENCY = "CURRENCY";
    public static final String WPC_TYPE_DATE = "DATE";
    public static final String WPC_TYPE_FLAG = "FLAG";
    public static final String WPC_TYPE_IMAGE_URL = "IMAGE_URL";
    public static final String WPC_TYPE_INTEGER = "INTEGER";
    public static final String WPC_TYPE_LOOKUP_TABLE = "LOOKUP_TABLE";

    /**
     * contains the name of column
     */
    private String name = null;

    /**
     * caontains the type of attribute. Used to map the column with UI control Text or Select
     */
    private String type = null;

    /**
     * Indicates wheather the <code>Attribute</code> object is searchable.
     */
    private boolean isSearchable = false;

    /**
     * @return string
     */
    public String getName() {
        return name;
    }

    /**
     * @return string
     */
    public String getType() {
        return type;
    }

    /**
     * @param string
     */
    public void setName(String string) {
        name = string;
    }

    /**
     * @param string
     */
    public void setType(String string) {
        type = string;
    }

    /**
     * @return boolean
     */
    public boolean isSearchable() {
        return isSearchable;
    }

    /**
     * @param b
     */
    public void setSearchable(boolean b) {
        isSearchable = b;
    }
}
