/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/**
  * This class is the tag implementation Flag (boolean and yes or no) input Tag.
  * Tag attributes
  * Tags inherited from Base tag
  * name
  * id
  * value attribute can have values (yes/no or true/false)
  * style
  * alt
  * enabled
  */
package com.ibm.ccd.ui.tags;

import java.io.IOException;


public class UIFlagTag extends BaseUITag {
    /**
      * renderField:This method renders HTML Dropdown field to response object
      */
    protected void renderField() throws Exception {
        log.debug(" renderField ->");

        try {
            StringBuffer htmlCode = new StringBuffer("");
            htmlCode.append("<TD  ALIGN =\"LEFT\">");

            if (value == null) {
                value = "";
            }

            htmlCode.append("<input TYPE=\"CHECKBOX\" NAME=\"" + name + "\"");
            htmlCode.append(" id=\"" + id + "\"");
            htmlCode.append(" alt=\"" + getAlt() + "\"");
            htmlCode.append(" class=\"" + getStyle() + "\"");

            if (getValue().equals("")) {
                setValue(DEFAULT_FLAG);
            }

            if ((getValue().equalsIgnoreCase("true")) ||
                    (getValue().equalsIgnoreCase("yes"))) {
                htmlCode.append(" CHECKED ");
            }

            if (!(isEnabled())) {
                htmlCode.append(" DISABLED ");
            }

            htmlCode.append(" >");

            htmlCode.append("</TD>");
            out.print(htmlCode.toString());
            log.debug(" renderField <- ");
        } catch (IOException e) {
            log.error(portletContext.getText(BUNDLE_WPC_UI_MESSAGES,
                    "MESSAGE_CODE_57", locale) + " ");
            e.printStackTrace();
            throw e;
        }
    }
}
