/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.tags.element;

import java.net.URL;

import org.apache.jetspeed.portlet.PortletURI;

import com.ibm.ccd.ui.dataobjects.attributes.Attribute;
import com.ibm.ccd.ui.dataobjects.attributes.ThumbnailImageURLAttribute;


public class ThumbNailImageURLElement extends URLElement {
    public ThumbNailImageURLElement(Attribute attribute, PortletURI portletURI) {
        super(attribute, portletURI);
    }

    /**
     * @param attribute
     * @param index
     * @return String
     */
    protected String getStringValue(Attribute attribute, int index) {
        ThumbnailImageURLAttribute thumbnailImageURLAttribute = (ThumbnailImageURLAttribute) attribute;

        if (thumbnailImageURLAttribute.getCurrentOccurrence() > 0) {
            if (thumbnailImageURLAttribute.isMultiValued()) {
                String[] values = thumbnailImageURLAttribute.getValues();

                return (values[index] != null) ? values[index].toString() : "";
            } else {
                return (thumbnailImageURLAttribute.getValue() != null)
                ? thumbnailImageURLAttribute.getValue().toString() : "";
            }
        } else {
            return "";
        }
    }
}
