-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table tutl_lck_lock
--
-- There are two lock type -- slave(S) lock and master(M) lock
-- This is an application control table and does not contain any
-- customer specific data,  Therefore it does not have a company_id
-- ===================================================================

drop table tutl_lck_lock cascade constraints;
create table tutl_lck_lock
( 
    lck_object_id                 number(9, 0) not null,
    lck_object_type               varchar2(50) not null,
    lck_type                      char not null,
    lck_thread_id                 varchar2(200) not null,
    lck_jvm_id                    varchar2(200) not null,
    lck_tx_id                     varchar2(200),
    constraint lck_0_pk
        primary key (lck_object_id, lck_object_type, lck_jvm_id, lck_thread_id, lck_type)
) organization index tablespace indx overflow tablespace users;


drop synonym lck;
create synonym lck for tutl_lck_lock;

-- ===================================================================
--
-- Table tutl_jhb_jvm_heartbeat
--
-- This is an application control table and does not contain any
-- customer specific data,  Therefore it does not have a company_id
-- ===================================================================

drop table tutl_jhb_jvm_heartbeat cascade constraints;
create table tutl_jhb_jvm_heartbeat
( 
    jhb_jvm_id                    varchar2(200),
    jhb_heartbeat                 date,
    jhb_jvm_type                  varchar2(200)
) 
tablespace users;


drop synonym jhb;
create synonym jhb for tutl_jhb_jvm_heartbeat;

-- ===================================================================
--
-- Table tutl_map_persistent_map
--
-- Used to save key/value pairs that will need to be accessed by any of the servers
-- ===================================================================

drop table tutl_map_persistent_map cascade constraints;
create table tutl_map_persistent_map
( 
    map_company_id                number(9, 0) not null,
    map_key                       varchar2(1000) not null,
    map_value                     varchar2(3000),
    constraint map_0_uk
        unique (map_key, map_company_id)
) 
tablespace users;


drop synonym map;
create synonym map for tutl_map_persistent_map;

drop table dual;
create table dual
(
dummy varchar2(1) not null
)
tablespace users;
insert into dual values ('Y');


